apiVersion: v1
kind: Secret
metadata:
  name: cb-example-auth
type: Opaque
data:
  username: QWRtaW5pc3RyYXRvcg== # Administrator
  password: cGFzc3dvcmQ=         # password
---
apiVersion: couchbase.com/v2
kind: CouchbaseBucket
metadata:
  name: default
---
apiVersion: couchbase.com/v2
kind: CouchbaseCluster
metadata:
  name: cb-example
spec:
  image: nova-harbor.ocp-311-intra-prod.mousquetaires.com/socle-technique-dba/couchbase/server-6.6:6.6.1-3 
  security:
    adminSecret: cb-example-auth
  buckets:
    managed: true
  volumeClaimTemplates:
    - metadata:
        name: couchbase
      spec:
        storageClassName: "ocs-external-storagecluster-ceph-rbd"
        resources:
          requests:
            storage: 1Gi
  servers:
  - size: 3
    name: all_services
    services:
    - data
    - index
    - query
    - eventing
    - analytics
    resources: 
      limits:
        cpu: 8 
        memory: 8Gi 
